<?php
/* Busqueda de registros de la tabla MST_DiaSemana redefinidos por el usuario. */
class MST_DiaSemanaFN extends BaseMST_DiaSemanaFN
{
    public static function selectActivos( $a_Param )
    {
        $o_MST_DiaSemanaFN = new MST_DiaSemanaFN();
        $o_MST_DiaSemanaFN->setEsFeriadoFlag( "N" );
        if( isset( $a_Param['NOT_IN'] ) )
        {
            $o_MST_DiaSemanaFN->addCondition( MST_DiaSemanaFN::IdDiaSem, "NOT IN", "( select IdDiaSem from PLA_MarcacionEmpleado where IdPersona='".$a_Param['ID']."' group by IdDiaSem )", false );
        }
        if( isset( $a_Param['IN'] ) )
        {
            $o_MST_DiaSemanaFN->addCondition( MST_DiaSemanaFN::IdDiaSem, "IN", "( select IdDiaSem from PLA_MarcacionEmpleado where IdDiaSem='".$a_Param['ID']."' group by IdDiaSem )", false );
        }
        $o_MST_DiaSemanaFN->addOrderBy( MST_DiaSemanaFN::IdDiaSem );
        return $o_MST_DiaSemanaFN->select();
    }
}
?>